package com.mooctest.export;

import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

@Service
public class ExportService {


    public String getData (String examId,String caseId){
        JSONObject params = new JSONObject();
        params.put("examId",examId);
        params.put("caseId",caseId);
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
        HttpEntity<String> request = new HttpEntity<>(params.toJSONString(), headers);
        RestTemplate rt = HttpUtil.getRestTemplate();
        String url = rt.postForObject("127.0.0.1:8080/final_report/data", request, String.class);
        return url;
    }
}
