package com.mooctest.export;

import java.util.HashMap;
import java.util.Map;

public class ReportUtil {
    public static Map<Integer, String> severity2String = new HashMap<Integer, String>() {{
            put(5, "紧急");
            put(4, "严重");
            put(3, "一般");
            put(2, "较轻");
            put(1, "待定");
    }};

    public static Map<Integer, String> category2String = new HashMap<Integer, String>() {{
        put(5, "用户体验");
        put(4, "页面布局缺陷");
        put(3, "性能");
        put(2, "功能不完整");
        put(1, "安全");
        put(6, "不正常退出");
        put(7, "其他");
    }};

    public static Map<String, Integer> string2Category = new HashMap<String, Integer>() {{
        put("用户体验", 5);
        put("页面布局缺陷", 4);
        put("性能", 3);
        put("功能不完整", 2);
        put("安全", 1);
        put("不正常退出", 6);
        put("其他", 7);
    }};

    public static Map<Integer, String> recurrent2String = new HashMap<Integer, String>() {{
        put(5, "必现");
        put(4, "大概率复现");
        put(3, "小概率复现");
        put(2, "无规律复现");
        put(1, "其他");
    }};

    public static Map<Long, String> reviewerMap = new HashMap<Long, String>() {{
       put(1l, "管理员");
       put(2l, "周顺祥");
       put(3l, "陈笑智");
       put(4l, "韩鹏飞");
    }};
}
